ConnectorsSonarQube [operator.connectors.alauda.io/v1alpha1]

Description
ConnectorsSonarQube is the Schema for the ConnectorsSonarQubes API.
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ConnectorsSonarQubeSpec defines the desired state of ConnectorsSonarQube.

statusobject

ComponentStatus defines the observed state of Connector

.spec

Description
ConnectorsSonarQubeSpec defines the desired state of ConnectorsSonarQube.
Type
object
PropertyTypeDescription
additionalManifestsstring

A means to specify the additional manifests to install, eg: http://example.com/manifests.yaml

annotationsobject

Annotations overrides labels for the namespace and its template.

labelsobject

Labels overrides labels for the namespace and its template.

registrystring

Registry overrides the default registry for the workloads. The registry is used to replace the prefix of the image. the image reference format is /:@.

workloadsarray

Workloads overrides workloads configurations such as resources and replicas.

.spec.annotations

Description
Annotations overrides labels for the namespace and its template.
Type
object

.spec.labels

Description
Labels overrides labels for the namespace and its template.
Type
object

.spec.workloads

Description
Workloads overrides workloads configurations such as resources and replicas.
Type
array

.spec.workloads[]

Description
WorkloadOverride overrides the workload configurations.
Type
object
Required
name
PropertyTypeDescription
namestring

Name is the name of the deployment to override.

replicasinteger

Number of desired pods. This is a pointer to distinguish between explicit zero and not specified. Defaults to 1.

template

PodTemplateSpecJSON describes the pods that will be created. The only allowed template.spec.restartPolicy value is "Always".

.status

Description
ComponentStatus defines the observed state of Connector
Type
object
PropertyTypeDescription
annotationsobject

Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

conditionsarray

Conditions the latest available observations of a resource's current state.

observedGenerationinteger

ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

.status.annotations

Description
Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
Type
object

.status.conditions

Description
Conditions the latest available observations of a resource's current state.
Type
array

.status.conditions[]

Description
Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
Type
object
Required
statustype
PropertyTypeDescription
lastTransitionTimestring

LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

messagestring

A human readable message indicating details about the transition.

reasonstring

The reason for the condition's last transition.

severitystring

Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition.

API Endpoints

The following API endpoints are available:

  • /apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes
    • DELETE: delete collection of ConnectorsSonarQube
    • GET: list objects of kind ConnectorsSonarQube
    • POST: create a new ConnectorsSonarQube
  • /apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes/{name}
    • DELETE: delete the specified ConnectorsSonarQube
    • GET: read the specified ConnectorsSonarQube
    • PATCH: partially update the specified ConnectorsSonarQube
    • PUT: replace the specified ConnectorsSonarQube
  • /apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes/{name}/status
    • GET: read status of the specified ConnectorsSonarQube
    • PATCH: partially update status of the specified ConnectorsSonarQube
    • PUT: replace status of the specified ConnectorsSonarQube

/apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes

HTTP method
DELETE
Description
delete collection of ConnectorsSonarQube
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ConnectorsSonarQube
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQubeList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnectorsSonarQube schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
201 - CreatedConnectorsSonarQube schema
202 - AcceptedConnectorsSonarQube schema
401 - UnauthorizedEmpty

/apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes/{name}

HTTP method
DELETE
Description
delete the specified ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ConnectorsSonarQube
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnectorsSonarQube schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
201 - CreatedConnectorsSonarQube schema
401 - UnauthorizedEmpty

/apis/operator.connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectorssonarqubes/{name}/status

HTTP method
GET
Description
read status of the specified ConnectorsSonarQube
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ConnectorsSonarQube
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnectorsSonarQube schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnectorsSonarQube schema
201 - CreatedConnectorsSonarQube schema
401 - UnauthorizedEmpty